Qt Reference Documentation

# QGraphicsSceneResizeEvent Class Reference

The QGraphicsSceneResizeEvent class provides events for widget resizing in the graphics view framework. More...

     #include <QGraphicsSceneResizeEvent>

Inherits: QGraphicsSceneEvent.

This class was introduced in Qt 4.4.

- List of all members, including inherited members

## Public Functions

| QGraphicsSceneResizeEvent ()
| ~QGraphicsSceneResizeEvent ()
QSizeF | newSize () const
QSizeF | oldSize () const

- 1 public function inherited from QGraphicsSceneEvent
- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent
- 1 static public member inherited from QEvent

## Detailed Description

The QGraphicsSceneResizeEvent class provides events for widget resizing in the graphics view framework.

A QGraphicsWidget sends itself a QGraphicsSceneResizeEvent immediately when its geometry changes.

It's similar to QResizeEvent, but its sizes, oldSize() and newSize(), use QSizeF instead of QSize.

See also QGraphicsWidget::setGeometry() and QGraphicsWidget::resize().

## Member Function Documentation

### QGraphicsSceneResizeEvent::QGraphicsSceneResizeEvent ()

Constructs a QGraphicsSceneResizeEvent.

### QGraphicsSceneResizeEvent::~QGraphicsSceneResizeEvent ()

Destroys the QGraphicsSceneResizeEvent.

### QSizeF QGraphicsSceneResizeEvent::newSize () const

Returns the new size (i.e., the current size).

See also oldSize() and QGraphicsWidget::resize().

### QSizeF QGraphicsSceneResizeEvent::oldSize () const

Returns the old size (i.e., the size immediately before the widget was resized).

See also newSize() and QGraphicsWidget::resize().